Update a source
curl --request PUT \
--url https://api.withsplendor.com/v1/admin/sources/{source_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-splendor-tenant-id: <x-splendor-tenant-id>' \
--data '
{
"bucket": "<string>",
"dataset_id": "<string>",
"iam_role_arn": "<string>",
"name": "<string>",
"source_key": "<string>",
"source_type": "<string>",
"connector_id": 123,
"enabled": true,
"intake_role_arn": "<string>",
"parse_config": {},
"prefix": "",
"retention_days": 2,
"search_config": {
"text_fields": [
{
"field": "<string>",
"boost": 1,
"natural_language": true
}
]
},
"semantic_config": {
"document_embeddings": {
"fields": [
{
"field": "<string>",
"max_chars": 4000
}
]
},
"filters": {
"fields": [
{
"field": "<string>",
"array": false
}
]
},
"image_embeddings": {
"fields": [
{
"field": "<string>"
}
],
"index_standalone": false
},
"vocabulary": {
"fields": [
{
"field": "<string>"
}
]
}
},
"transform_config": {}
}
'import requests
url = "https://api.withsplendor.com/v1/admin/sources/{source_id}"
payload = {
"bucket": "<string>",
"dataset_id": "<string>",
"iam_role_arn": "<string>",
"name": "<string>",
"source_key": "<string>",
"source_type": "<string>",
"connector_id": 123,
"enabled": True,
"intake_role_arn": "<string>",
"parse_config": {},
"prefix": "",
"retention_days": 2,
"search_config": { "text_fields": [
{
"field": "<string>",
"boost": 1,
"natural_language": True
}
] },
"semantic_config": {
"document_embeddings": { "fields": [
{
"field": "<string>",
"max_chars": 4000
}
] },
"filters": { "fields": [
{
"field": "<string>",
"array": False
}
] },
"image_embeddings": {
"fields": [{ "field": "<string>" }],
"index_standalone": False
},
"vocabulary": { "fields": [{ "field": "<string>" }] }
},
"transform_config": {}
}
headers = {
"x-splendor-tenant-id": "<x-splendor-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-splendor-tenant-id': '<x-splendor-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
bucket: '<string>',
dataset_id: '<string>',
iam_role_arn: '<string>',
name: '<string>',
source_key: '<string>',
source_type: '<string>',
connector_id: 123,
enabled: true,
intake_role_arn: '<string>',
parse_config: {},
prefix: '',
retention_days: 2,
search_config: {text_fields: [{field: '<string>', boost: 1, natural_language: true}]},
semantic_config: {
document_embeddings: {fields: [{field: '<string>', max_chars: 4000}]},
filters: {fields: [{field: '<string>', array: false}]},
image_embeddings: {fields: [{field: '<string>'}], index_standalone: false},
vocabulary: {fields: [{field: '<string>'}]}
},
transform_config: {}
})
};
fetch('https://api.withsplendor.com/v1/admin/sources/{source_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"bucket": "acme-logs",
"connector_id": null,
"created_at": "2026-01-15T09:30:00Z",
"dataset_id": "app-logs",
"enabled": true,
"external_id_configured": false,
"iam_role_arn": "arn:aws:iam::123456789012:role/acme-splendor",
"ingest_token_configured": true,
"ingest_token_created_at": "2026-01-15T09:30:00Z",
"ingest_token_last_used_at": "2026-01-15T09:30:00Z",
"ingest_token_revoked_at": null,
"intake_role_arn": null,
"name": "Application logs",
"parse_config": {},
"prefix": "",
"retention_days": null,
"search_config": {
"text_fields": []
},
"semantic_config": {
"document_embeddings": {
"fields": []
},
"filters": {
"fields": []
},
"image_embeddings": {
"fields": [],
"index_standalone": false
},
"vocabulary": {
"fields": []
}
},
"source_id": 12,
"source_key": "app-logs",
"source_type": "hosted",
"tenant_id": "acme",
"transform_config": {},
"updated_at": "2026-01-15T09:30:00Z"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Sources & ingest
Update a source
Updates a source’s configuration. Requires an admin role.
PUT
/
v1
/
admin
/
sources
/
{source_id}
Update a source
Authorizations
API token issued from the Splendor console.
Headers
Selects the tenant (workspace) the request acts within.
Path Parameters
Body
application/json
Required string length:
1 - 255Required string length:
1 - 128Required string length:
1 - 2048Required string length:
1 - 255Required string length:
1 - 128Required string length:
1 - 128Required string length:
1 - 2048Maximum string length:
1024Required range:
x >= 1Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I